/**
 * @file
 * UI elements that can be re-used anywhere on the site.
 */


/** ----------------------------------------------------------------------------
 *                                                              Messages
 */
// Based on Seven (Drupal 8 admin theme)

div.messages { // actually a badly-named individual message
  background-position: 8px 8px;
  padding: 15px 20px 15px 35px;
  max-width: 60em;
  margin: 0.6em auto;

  ul {
    margin-top: 0;
    margin-bottom: 0;
  }

  a {
    color: black;
  }

  // 'Hide' (cross) button
  button {
    margin: 0;
    background: rgba(black, 0.6);
    padding: 0 0.5em;
    display: inline-block;
    color: white;
    font-weight: bold;
    border-radius: $corner_radius-small;
    height: 1.4em;
  }
}

aside div.messages {
    // Smaller, with less spacing
  margin: 0.8em 0;
  padding: 0.3em 0.5em 0.3em 2em;
}

div.status,
div.warning,
div.error {
  font-weight: 600;
  border-left-width: 5px;
  border-radius: $corner_radius-small;

  li {
    max-width: 100%;
  }
}
div.status {
  color: darken( $colour-success, 30 ) !important;
  background-color: lighten( $colour-success, 92 ) !important;
  border-color: lighten( $colour-success, 0 );
}
div.warning {
  color: darken( $colour-warning, 30 );
  background-color: lighten( $colour-warning, 92 );
  border-color: lighten( $colour-warning, 0 );
}
div.error {
  color: darken( $colour-error, 30 );
  background-color: lighten( $colour-error, 92 );
  border-color: lighten( $colour-error, 0 );
}


.none-list {
  list-style: none;
}

.visually-hidden {
  display: none;
}


/* List of links generated by theme_links(). */
.inline {
  display: inline;
  padding: 0;

  li {
    display: inline;
    list-style-type: none;
    padding: 0 1em 0 0; /* LTR */
  }
}


.heading {
  background: grey;
  color: white;
  // @include extend-width(3%);
  margin-top: 2em;
  margin-bottom: 1em;
  padding: 0.2em 0.5em;
  font-size: 0.85em;
  text-transform: uppercase;
}


.slick-slide img {
  width: 100%;
}

[style*="background-image"] {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 100%;
}

/*----------------------------------------------------------------------------
                                          Slick carousel
*/
// Carousel smaller carousels
.carousel-small {
  .material-icons {
    color: $colour-yellow;
    font-size: 100px;
    }
    ul {
      padding-right: 0;
    }
    button {
      width: auto;
      height: auto;
      &::focus {
        box-shadow: none;
      }
    }
    li + li {
      margin-top: 0;
    }
    .slick-track {
      display: flex;
      align-items: center;
    }
    .slick-slide {
      height: auto;
      // padding: 4px;
    }
  }
  .slick-prev:before,
  .slick-next:before {
    display: none;
    color: transparent;
  }

  .slick-prev {
    left: -25px;
    @media only screen and (max-width: $w-regular) and (min-width: $w-narrow) {
      left: -45px;
    }
  }
  .slick-next {
    right: -25px;

    @media only screen and (max-width: $w-regular) and (min-width: $w-narrow) {
      right: -45px;
    }
  }

// Banner carousel
.slick {
  .slick-slide {
    // width: 100% !important;
    padding: 0;
    margin: 0;
  }
  .material-icons {
    color: white;
  }
  .slick-prev,
  .slick-next {
    top: 50px;
    z-index: 1;
  }
  .slick-prev {
    left: 25px;
  }
  .slick-next {
    right: 25px;
  }
}

